function mukm_mat=compute_groups_by_kmeans(Y,K)
Skm = kmeans(Y,K);
Skm=arrange_S(Skm);
[N,r]=size(Y);
start=1;
if start==1 %start with peaks
    y=Y(:,1);
    x=Y(:,2);
elseif start==2 %start with trougts
    y=Y(:,1);
    x=Y(:,2);
end

mukm=NaN(K,2);

for i=1:K
mukm(i,1)=mean(y(Skm==i));
mukm(i,2)=mean(x(Skm==i));
end

mukm_mat=NaN(N,2);

for i=1:K
    index=find(Skm==i);
    mukm_mat(index,:)=repmat((mukm(i,:)),length(index),1);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function B=arrange_S(S)
K=max(S);
N=length(S);
l=0;
A=zeros(K,1);
B=zeros(N,1);
i=1;
while i<=N
    if l==0
        l=l+1;
        A(l)=S(i);
        B(i)=l;
    else
        m=1; n=0;
        while m<=l
            if A(m)==S(i)
                B(i)=m;
                n=1;
            end
            m=m+1;
        end
            if n==0
                l=l+1;
                A(l)=S(i);
                B(i)=l;
            end
        end
        i=i+1;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 function Qcol = qincol(Q)
% transfor a square matrix of dimension dd in other with dim dd*(dd+1)/2 

% input: Q .. ddxdd
% output: Qcol .. dd*(dd+1)/2x1
dd = size(Q,2);
hilf = 0;
for i = 1:dd
   Qcol(hilf+1:hilf+i,1) = Q(1:i,i);
   hilf =hilf + i;
end   